; Copyright (C) 1999-2000 Konstantin Boldyshev <konst@linuxassembly.org>
;
; $Id: os_linux.inc,v 1.6 2002/06/15 18:21:19 hp Exp $
;
;- file          : os_linux.inc
; created       : 08-Feb-2000
; modified      : 09-Sep-2000
; version       : 0.11
; assembler     : nasm 0.98
; description   : linux kernel defined constants (from includes)
; author        : Konstantin Boldyshev <konst@linuxassembly.org>
; comment       : included internally from system.inc

%ifndef __SYSTEM_INC
%error "this file must be included internally from system.inc !"
%endif

%ifndef __LINUX_INC

%include "au/os_linux.inc"
%define linuxinc

%ifdef SYS__llseek; asmutils ..0.11 & linux system data
%define SYS_llseek SYS__llseek
%elifdef SYS_llseek; asmutils 0.12+
%define SYS__llseek SYS_llseek
%endif

%if __AU__=016; bloedsinnige umbenennung in au 0.16!
%macro sys_mmap 0-1_nolist
	__syscall mmap, 1, %0, %1
%endmacro

%macro sys_mmap2 0-6_nolist
%ifdef SYS_mmap2
	__syscall mmap2, 6, %0, %1, %2, %3, %4, %5, %6
%else
	__pushargs 6, %0, %1, %2, %3, %4, %5, %6
	sys_mmap esp
	_add	esp,(6 * 4)
%endif
%endmacro

%endif

;-
;- signal.h

;-

; asmutils, kernel 2.4's version of oldsigaction
;	struc sigaction
;.sa_handler	ULONG	1
;.sa_flags	ULONG	1
;.sa_restorer	ULONG	1
;.sa_mask	resb	sigset_t_size
;	endstruc

;-
;- struc old_sigaction
;-	kernel 2.2. standard signal handler definition block
%undef old_sigaction
    struc old_sigaction
.hnd:	resd 1	;
.msk:	resd 1	;
.flg:	resd 1	;
.rst:	resd 1	;
    endstruc
;-
;- struc rt_sigaction	([hp] added the "rt_", for asmutils)
;-	kernel 2.4 (and 2.2. rt-) signal handler definition block
%undef rt_sigaction
    struc rt_sigaction
.hnd:	resd 1	;handler
.flg:	resd 1	;SA_SIGINFO;flags
.rst:	resd 1	;NULL	; restorer ; (unused) -?- no! just glibc...
.msk:	resd 1	;NULL	; mask
.xtd:	resd 1	;NULL	; (extended)
    endstruc
;-
;- struc new_sigaction
;-	kernel 2.4 (libc?) signal handler definition block
%undef new_sigaction
    struc new_sigaction
.hnd:	resd 1	;
.act:	resd 1	;
.msk:	resd 1	;
.flg:	resd 1	;
.rst:	resd 1	;
    endstruc

%endif;__LINUX_INC
;- os_linux.inc <eof>
